Errors were encountered while processing: expedition-beta

Reply
L1 Bithead

Errors were encountered while processing: expedition-beta

Getting error when updating expedition version (1.0.101):

 
expedition@Expedition:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  linux-generic linux-headers-generic linux-image-generic open-vm-tools
The following packages will be upgraded:
  amd64-microcode bsdutils expedition-beta intel-microcode libblkid1 libfdisk1 libglib2.0-0 libglib2.0-data libmount1 libpam-systemd libslang2
  libsmartcols1 libsystemd0 libudev1 libuuid1 mount rsyslog shared-mime-info snapd systemd systemd-sysv ubuntu-core-launcher udev util-linux uuid-dev
  uuid-runtime
26 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Need to get 63.7 MB of archives.
After this operation, 176 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
WARNING: The following packages cannot be authenticated!
  expedition-beta
Install these packages without verification? [y/N] y
Get:1 http://ppa.launchpad.net/adiscon/v8-stable/ubuntu xenial/main amd64 rsyslog amd64 8.36.0-0adiscon4xenial1 [657 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 bsdutils amd64 1:2.27.1-6ubuntu3.6 [51.2 kB]
Get:3 https://conversionupdates.paloaltonetworks.com expedition-updates/ expedition-beta 1.0.101 [39.2 MB]
Get:4 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 util-linux amd64 2.27.1-6ubuntu3.6 [848 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 mount amd64 2.27.1-6ubuntu3.6 [121 kB]                                               
Get:6 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 systemd-sysv amd64 229-4ubuntu21.4 [11.6 kB]                                         
Get:7 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libpam-systemd amd64 229-4ubuntu21.4 [115 kB]                                        
Get:8 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libsystemd0 amd64 229-4ubuntu21.4 [204 kB]                                           
Get:9 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 systemd amd64 229-4ubuntu21.4 [3,615 kB]                                             
Get:10 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 udev amd64 229-4ubuntu21.4 [993 kB]                                                 
Get:11 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libudev1 amd64 229-4ubuntu21.4 [54.1 kB]                                            
Get:12 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 uuid-dev amd64 2.27.1-6ubuntu3.6 [26.4 kB]                                          
Get:13 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libuuid1 amd64 2.27.1-6ubuntu3.6 [15.1 kB]                                          
Get:14 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libblkid1 amd64 2.27.1-6ubuntu3.6 [107 kB]                                          
Get:15 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libmount1 amd64 2.27.1-6ubuntu3.6 [114 kB]                                          
Get:16 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 uuid-runtime amd64 2.27.1-6ubuntu3.6 [25.9 kB]                                      
Get:17 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 ubuntu-core-launcher amd64 2.34.2 [1,560 B]                                         
Get:18 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 snapd amd64 2.34.2 [14.2 MB]                                                        
Get:19 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libfdisk1 amd64 2.27.1-6ubuntu3.6 [138 kB]                                          
Get:20 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libsmartcols1 amd64 2.27.1-6ubuntu3.6 [62.7 kB]                                     
Get:21 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libslang2 amd64 2.3.0-2ubuntu1.1 [415 kB]                                           
Get:22 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libglib2.0-0 amd64 2.48.2-0ubuntu3 [1,120 kB]                                       
Get:23 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libglib2.0-data all 2.48.2-0ubuntu3 [132 kB]                                        
Get:24 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 shared-mime-info amd64 1.5-2ubuntu0.2 [405 kB]                                      
Get:25 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 amd64-microcode amd64 3.20180524.1~ubuntu0.16.04.2 [32.2 kB]                        
Get:26 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 intel-microcode amd64 3.20180425.1~ubuntu0.16.04.2 [1,145 kB]                       
Fetched 63.7 MB in 9min 7s (116 kB/s)                                                                                                                    
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../bsdutils_1%3a2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking bsdutils (1:2.27.1-6ubuntu3.6) over (1:2.27.1-6ubuntu3.4) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up bsdutils (1:2.27.1-6ubuntu3.6) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../util-linux_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking util-linux (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up util-linux (2.27.1-6ubuntu3.6) ...
Processing triggers for systemd (229-4ubuntu21.2) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../mount_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking mount (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up mount (2.27.1-6ubuntu3.6) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../systemd-sysv_229-4ubuntu21.4_amd64.deb ...
Unpacking systemd-sysv (229-4ubuntu21.4) over (229-4ubuntu21.2) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up systemd-sysv (229-4ubuntu21.4) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../libpam-systemd_229-4ubuntu21.4_amd64.deb ...
Unpacking libpam-systemd:amd64 (229-4ubuntu21.4) over (229-4ubuntu21.2) ...
Preparing to unpack .../libsystemd0_229-4ubuntu21.4_amd64.deb ...
Unpacking libsystemd0:amd64 (229-4ubuntu21.4) over (229-4ubuntu21.2) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libsystemd0:amd64 (229-4ubuntu21.4) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../systemd_229-4ubuntu21.4_amd64.deb ...
Unpacking systemd (229-4ubuntu21.4) over (229-4ubuntu21.2) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for dbus (1.10.6-1ubuntu3.3) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up systemd (229-4ubuntu21.4) ...
addgroup: The group `systemd-journal' already exists as a system group. Exiting.
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../udev_229-4ubuntu21.4_amd64.deb ...
Unpacking udev (229-4ubuntu21.4) over (229-4ubuntu21.2) ...
Preparing to unpack .../libudev1_229-4ubuntu21.4_amd64.deb ...
Unpacking libudev1:amd64 (229-4ubuntu21.4) over (229-4ubuntu21.2) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for systemd (229-4ubuntu21.4) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libudev1:amd64 (229-4ubuntu21.4) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../uuid-dev_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking uuid-dev:amd64 (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Preparing to unpack .../libuuid1_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking libuuid1:amd64 (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libuuid1:amd64 (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../libblkid1_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking libblkid1:amd64 (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libblkid1:amd64 (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../libmount1_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking libmount1:amd64 (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libmount1:amd64 (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 113519 files and directories currently installed.)
Preparing to unpack .../uuid-runtime_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking uuid-runtime (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Preparing to unpack .../ubuntu-core-launcher_2.34.2_amd64.deb ...
Unpacking ubuntu-core-launcher (2.34.2) over (2.33.1ubuntu2) ...
Preparing to unpack .../snapd_2.34.2_amd64.deb ...
Unpacking snapd (2.34.2) over (2.33.1ubuntu2) ...
Preparing to unpack .../libfdisk1_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking libfdisk1:amd64 (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for systemd (229-4ubuntu21.4) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libfdisk1:amd64 (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 113522 files and directories currently installed.)
Preparing to unpack .../libsmartcols1_2.27.1-6ubuntu3.6_amd64.deb ...
Unpacking libsmartcols1:amd64 (2.27.1-6ubuntu3.6) over (2.27.1-6ubuntu3.4) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libsmartcols1:amd64 (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 113522 files and directories currently installed.)
Preparing to unpack .../libslang2_2.3.0-2ubuntu1.1_amd64.deb ...
Unpacking libslang2:amd64 (2.3.0-2ubuntu1.1) over (2.3.0-2ubuntu1) ...
Preparing to unpack .../rsyslog_8.36.0-0adiscon4xenial1_amd64.deb ...
Unpacking rsyslog (8.36.0-0adiscon4xenial1) over (8.36.0-0adiscon3xenial1) ...
Preparing to unpack .../libglib2.0-0_2.48.2-0ubuntu3_amd64.deb ...
Unpacking libglib2.0-0:amd64 (2.48.2-0ubuntu3) over (2.48.2-0ubuntu1) ...
Preparing to unpack .../libglib2.0-data_2.48.2-0ubuntu3_all.deb ...
Unpacking libglib2.0-data (2.48.2-0ubuntu3) over (2.48.2-0ubuntu1) ...
Preparing to unpack .../shared-mime-info_1.5-2ubuntu0.2_amd64.deb ...
Unpacking shared-mime-info (1.5-2ubuntu0.2) over (1.5-2ubuntu0.1) ...
Preparing to unpack .../expedition-beta_1.0.101_amd64.deb ...
Unpacking expedition-beta (1.0.101) over (1.0.99.2) ...
Preparing to unpack .../amd64-microcode_3.20180524.1~ubuntu0.16.04.2_amd64.deb ...
Unpacking amd64-microcode (3.20180524.1~ubuntu0.16.04.2) over (3.20180524.1~ubuntu0.16.04.1) ...
Preparing to unpack .../intel-microcode_3.20180425.1~ubuntu0.16.04.2_amd64.deb ...
Unpacking intel-microcode (3.20180425.1~ubuntu0.16.04.2) over (3.20180425.1~ubuntu0.16.04.1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for systemd (229-4ubuntu21.4) ...
Setting up libpam-systemd:amd64 (229-4ubuntu21.4) ...
Setting up udev (229-4ubuntu21.4) ...
addgroup: The group `input' already exists as a system group. Exiting.
update-initramfs: deferring update (trigger activated)
Setting up uuid-dev:amd64 (2.27.1-6ubuntu3.6) ...
Setting up uuid-runtime (2.27.1-6ubuntu3.6) ...
Setting up snapd (2.34.2) ...
Installing new version of config file /etc/apparmor.d/usr.lib.snapd.snap-confine.real ...
Installing new version of config file /etc/profile.d/apps-bin-path.sh ...
snapd.snap-repair.service is a disabled or a static unit, not starting it.
Setting up ubuntu-core-launcher (2.34.2) ...
Setting up libslang2:amd64 (2.3.0-2ubuntu1.1) ...
Setting up rsyslog (8.36.0-0adiscon4xenial1) ...
Skipping profile in /etc/apparmor.d/disable: usr.sbin.rsyslogd
Setting up libglib2.0-0:amd64 (2.48.2-0ubuntu3) ...
No schema files found: doing nothing.
Setting up libglib2.0-data (2.48.2-0ubuntu3) ...
Setting up shared-mime-info (1.5-2ubuntu0.2) ...
Setting up expedition-beta (1.0.101) ...
Updating Database: G2Policy Applying Patch:20180730_001_insertFilters.common
Updating Database: G2Policy Applying Patch:20180730_002_insertFilters.common
Updating Database: NCWSRX Applying Patch:20180730_001_insertFilters.common
Updating Database: NCWSRX Applying Patch:20180730_002_insertFilters.common
Updating Database: NCE7050 Applying Patch:20180730_001_insertFilters.common
Updating Database: NCE7050 Applying Patch:20180730_002_insertFilters.common
Updating Database: ncerules Applying Patch:20180730_001_insertFilters.common
Updating Database: ncerules Applying Patch:20180730_002_insertFilters.common
Updating Database: NCECleanup Applying Patch:20180730_001_insertFilters.common
Updating Database: NCECleanup Applying Patch:20180730_002_insertFilters.common
Updating Database: NCWG2 Applying Patch:20180730_001_insertFilters.common
Updating Database: NCWG2 Applying Patch:20180730_002_insertFilters.common
its recommended to run after install: apt-get -y -f install
its recommended to run after install: sudo apt-get autoremove
Checking for old projects and Devices what are not Encrypted
dpkg: error processing package expedition-beta (--configure):
 subprocess installed post-installation script returned error exit status 252
Setting up amd64-microcode (3.20180524.1~ubuntu0.16.04.2) ...
update-initramfs: deferring update (trigger activated)
amd64-microcode: microcode will be updated at next boot
Setting up intel-microcode (3.20180425.1~ubuntu0.16.04.2) ...
update-initramfs: deferring update (trigger activated)
intel-microcode: microcode will be updated at next boot
Processing triggers for initramfs-tools (0.122ubuntu8.11) ...
update-initramfs: Generating /boot/initrd.img-4.4.0-130-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Errors were encountered while processing:
 expedition-beta
E: Sub-process /usr/bin/dpkg returned an error code (1)
W: Operation was interrupted before it could finish

 

expedition@Expedition:/$ sudo apt-get install expedition-beta
Reading package lists... Done
Building dependency tree       
Reading state information... Done
expedition-beta is already the newest version (1.0.101).
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up expedition-beta (1.0.101) ...
its recommended to run after install: apt-get -y -f install
its recommended to run after install: sudo apt-get autoremove
Could not open input file: /var/www/html/OS/update/snsUpdate.php
Checking for old projects and Devices what are not Encrypted
dpkg: error processing package expedition-beta (--configure):
 subprocess installed post-installation script returned error exit status 252
Errors were encountered while processing:
 expedition-beta
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

I could not find the "snsUpdate.php" file and now seeing error under OS Software within Expedition:

 

L4 Transporter

Re: Errors were encountered while processing: expedition-beta

Notice that you did not launch an apt-get update, but and upgrade.

I don't think you need to worry about the error. The second execution tried to update a package that was already updated, and attempted to fire a one-shot script.
As the package was already updated via the "upgrade" command, the script had been already executed nasty deleted. Therefore the error in the last apt-get install call.
L1 Bithead

Re: Errors were encountered while processing: expedition-beta

I actually remove the update and reinstalled it and got no errors. Thanks for the update!

L4 Transporter

Re: Errors were encountered while processing: expedition-beta

@jbak: Could you provide the command for uninstalling the update?

Highlighted
L1 Bithead

Re: Errors were encountered while processing: expedition-beta

you can try :

 

sudo apt-get remove [name of update]

L4 Transporter

Re: Errors were encountered while processing: expedition-beta

thanks for your reply.

 

I removed the packet expedition-beta and then freshly installed it, but there is still an error with return code 252.

Seems to be a general problem with the package

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!